#
# spec file for package netcat (Version 1.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           netcat
%define INSTALL install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
License:        Other License(s), see package, distributable
Group:          Productivity/Networking/Other
Autoreqprov:    on
Summary:        A Simple But Powerful Network Tool
Version:        1.10
Release:        883.2
Source:         netcat-1.10.tar.gz
Source1:        netcat.1
Patch0:         netcat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Netcat is a simple Unix utility that reads and writes data across
network connections using TCP or UDP protocols. It is designed to be a
reliable back-end tool that can be used directly or easily driven by
other programs and scripts.  At the same time, it is a feature-rich
network debugging and exploration tool, because it can create almost
any kind of connection you may need and has several interesting
built-in capabilities.

Find the documentation in /usr/share/doc/packages/netcat/README.



Authors:
--------
    hobbit@avian.org

%debug_package
%prep
%setup -q
%patch0
cp %SOURCE1 .

%build
make linux "CFLAGS=$RPM_OPT_FLAGS"

%install
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT/%_mandir/man1
%{INSTALL} nc $RPM_BUILD_ROOT/usr/bin/netcat
%{INSTALL} -m 0644 netcat.1 $RPM_BUILD_ROOT/usr/share/man/man1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/netcat
%_mandir/man1/*
%doc Changelog
%doc README
%doc data
%doc scripts

%changelog -n netcat
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 02 2005 - mmj@suse.de
- Don't package manual executable [#114849]
- Correct man-page
* Wed Jul 06 2005 - mmj@suse.de
- Add missing decls
* Wed Mar 02 2005 - mmj@suse.de
- FreeBSD had a netcat manual page, so add it to our package
* Wed Apr 28 2004 - ro@suse.de
- change return type of "helpme" to void
* Fri Jan 30 2004 - max@suse.de
- Building as a non-root user
- Added support for partial shutdown if stdin gets closed (#34219)
* Tue Sep 16 2003 - max@suse.de
- Use argv[0] instead of hardcoded program name. (#30939)
* Tue Jul 01 2003 - coolo@suse.de
- don't use $RPM_PACKAGE_NAME in %%setup
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jan 19 2001 - schwab@suse.de
- Include <resolv.h> if HAVE_BIND.
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to Networking/Utilities
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 17 1998 - max@suse.de
- changed "nc" to "netcat" in the example scripts,
  to make them work.
* Mon Mar 16 1998 - max@suse.de
- new package
- allows "cat" via network as server or client with TCP or UDP
